import request from '@/utils/request'

// 查询完课模板列表
export function listCourseFinishTemp(query) {
  return request({
    url: '/course/courseFinishTemp/list',
    method: 'get',
    params: query
  })
}

// 查询完课模板详细
export function getCourseFinishTemp(id) {
  return request({
    url: '/course/courseFinishTemp/' + id,
    method: 'get'
  })
}

// 新增完课模板
export function addCourseFinishTemp(data) {
  return request({
    url: '/course/courseFinishTemp',
    method: 'post',
    data: data
  })
}

// 修改完课模板
export function updateCourseFinishTemp(data) {
  return request({
    url: '/course/courseFinishTemp',
    method: 'put',
    data: data
  })
}

// 删除完课模板
export function delCourseFinishTemp(id) {
  return request({
    url: '/course/courseFinishTemp/' + id,
    method: 'delete'
  })
}

// 导出完课模板
export function exportCourseFinishTemp(query) {
  return request({
    url: '/course/courseFinishTemp/export',
    method: 'get',
    params: query
  })
}
